

;;; Info
;; setup up info directories to conform to debian standards.

(setq Info-directory-list
      '("/usr/info/"))

(setq Info-additional-search-directory-list
      '("/usr/info/xemacs-20.4"))

;;(autoload 'psgml-mode "psgml-mode" "")
;;
;;(defun debian-add-sgml-catalog-files
;;  "Add debian specific catalog files to sgml-catalog-files"
;;  (setq sgml-catalog-file
;;        (append sgml-catalog-files
;;                "/usr/lib/sgml/catalog")))
;;
;;(add-hook 'psgml-mode-hook 'debian-add-sgml-catalog-files)
;;(setq sgml-local-catalogs "/usr/lib/sgml/catalog")
;; quick solution.
(setq sgml-catalog-files '("CATALOG" "/usr/lib/sgml/catalog"))

(setq news-path "/var/spool/news")

(setq dired-chown-program "/usr/bin/chown")

(defun dir-and-all-good-subs (this-directory)
  "Returns list of argument and all subdirectories of argument not
starting with a '.'"
  (append (list (expand-file-name this-directory))
          (mapcar '(lambda (dir-string)
                     (concat dir-string "/")) 
                  (directory-files 
                   (expand-file-name this-directory) 
                   t "^[^\\.]" nil 1))))

(setq load-path
      (let* ((point
              (string-match "[0-9]*\.[0-9]*.*XEmacs.*"
                            emacs-version))
             (xemacs-maj-version
              (substring emacs-version point (+ point 2)))
             (xemacs-version
              (substring emacs-version point (+ point 5))))
        (append
         `(,@(dir-and-all-good-subs "/usr/local/lib/xemacs/site-lisp")
             ,@(dir-and-all-good-subs
                (concat "/usr/share/xemacs/site-lisp-" xemacs-maj-version "/"))
             ,@(dir-and-all-good-subs "/usr/share/xemacs/site-lisp/")
             ,@(dir-and-all-good-subs
                (concat "/usr/share/xemacs" xemacs-maj-version "/site-lisp/"))
             ;;,@(dir-and-all-good-subs
             ;; (concat "/usr/share/xemacs-" xemacs-version "/lisp/"))
             "/usr/share/emacs/site-lisp")
         load-path)))

;;; end 00debian.el
